Bug 85570 - Panel locks in move mode
Panel locks in move mode
Product: Red Hat Linux
Classification: Retired
Component: gnome-panel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Depends On:
  Show dependency treegraph
Reported: 2003-03-04 10:27 EST by Mikael Carneholm
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-07 16:24:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mikael Carneholm 2003-03-04 10:27:17 EST
Description of problem:
It has happened several times that panels get locked in "move mode". This
results in the cursor becoming a move icon, and trying to left-click on icons in
other panels results in moving the panel concerned to the location of the other
panel. I have to ctrl-alt-backspace to get out of it - very irritating.

Version-Release number of selected component (if applicable):
The version shipped in phoebe beta 3.

How reproducible:
Sometimes (at least after a fresh install)

Steps to Reproduce:
I think it occured once after I removing the rhn-applet from the systray - not
sure though, but it also has happened other times.

Actual results: 
Everywhere you click on the screen, the panel will move there.

Expected results:
It should not lock in move mode.
Comment 1 Mikael Carneholm 2003-03-06 12:45:18 EST
I have finally found an exact series of actions that activate the bug.

Steps to reproduce the problem:
1. Make sure there are two edge panels (let's call them panel A and panel B)
2. Make sure there is an applet in panel A (I'm using the Workspace switcher
applet when doing this)
3. Right-click on the applet in panel A and select Move (cursor turns into a
cross-arrow indicating we're in move mode)
4. In move mode, left-click the other panel (panel B) so that the applet moves
to the panel B
5. Now, right-click the applet (which is now in panel B) again and select Move
(as if you just changed your mind)
6. Done (the bug is now activated). If you left-click panel A again to move the
applet back, *the whole panel* B will instead move to the same edge as panel A.
What's worse, wherever you left-click after this will move panel B which makes
ctrl-alt-backspace the only option to get back to a session where you can work
as normal.
Comment 2 Havoc Pennington 2003-03-06 14:46:58 EST
Comment 3 Havoc Pennington 2003-08-07 16:24:03 EDT
This is patched upstream, we'll get the fix with new panel versions
(may already be in rawhide, if not should be soon)

Note You need to log in before you can comment on or make changes to this bug.